Bug 8077 - overdues with fines won't run
Summary: overdues with fines won't run
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high critical (vote)
Assignee: Kyle M Hall
QA Contact:
URL: cgi-bin/koha/circ/branchoverdues.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-11 18:18 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8077 - overdues with fines won't run (861 bytes, patch)
2012-05-14 12:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8077 - overdues with fines won't run (925 bytes, patch)
2012-05-14 13:10 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-05-11 18:18:04 UTC
When I try to run the overdues with fines report I get the following:

Software error:

Undefined subroutine &main::dt_from_string called at /home/nengard/kohaclone/circ/branchoverdues.pl line 116.
Comment 1 Kyle M Hall 2012-05-14 12:51:03 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-05-14 13:10:14 UTC
Created attachment 9562 [details] [review]
Bug 8077 - overdues with fines won't run

When I try to run the overdues with fines report I get the following:
Software error:
Undefined subroutine &main::dt_from_string called at
kohaclone/circ/branchoverdues.pl line 116.

Fixed by add a use line for Koha::DateUtils to branchoverdues.pl

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 3 Jonathan Druart 2012-05-15 15:00:32 UTC
QA Comments:
the routine dt_from_string is defined into the Koha::DateUtils module.
We have to used it.

Marking as Passed QA.

(I checked for all occurrences of dt_from_string, others are good)
Comment 4 Chris Cormack 2012-05-21 18:17:06 UTC
Small fix, no string changes, will be in 3.8.1